curl --request GET \
--url https://public-api.stora.co/2025-09/contracts \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/contracts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/contracts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/contracts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/contracts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/contracts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contracts": [
{
"id": "ctr_a1b2c3d4e5f6g7h8",
"_links": {
"sf:show_contract": {
"href": "/contracts/ctr_a1b2c3d4e5f6g7h8",
"title": "Show contract"
}
},
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"created_at": "2025-02-22T14:41:00Z",
"name": "Indoor Storage Contract",
"sent_at": "2025-02-18T09:00:00Z",
"signed_at": "2025-02-20T10:00:00Z",
"status": "signed",
"tenancy": {
"id": "ten_ac1499df16ae0dea"
},
"updated_at": "2025-02-22T14:41:00Z"
},
{
"id": "ctr_b2c3d4e5f6g7h8i9",
"_links": {},
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"created_at": "2025-02-22T14:41:00Z",
"name": "Voided Storage Contract",
"sent_at": "2025-01-10T09:00:00Z",
"signed_at": null,
"status": "voided",
"tenancy": {
"id": "ten_ac1499df16ae0dea"
},
"updated_at": "2025-02-22T14:41:00Z"
},
{
"id": "ctr_c3d4e5f6g7h8i9j0",
"_links": {
"sf:show_contract": {
"href": "/contracts/ctr_c3d4e5f6g7h8i9j0",
"title": "Show contract"
}
},
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"created_at": "2025-02-22T14:41:00Z",
"name": "Pending Storage Contract",
"sent_at": "2025-03-01T09:00:00Z",
"signed_at": null,
"status": "pending",
"tenancy": {
"id": "ten_ac1499df16ae0dea"
},
"updated_at": "2025-02-22T14:41:00Z"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 3,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}List all Contracts
Retrieve a list of all contracts.
Required authorization scope: public.contract:read
curl --request GET \
--url https://public-api.stora.co/2025-09/contracts \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.stora.co/2025-09/contracts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.stora.co/2025-09/contracts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://public-api.stora.co/2025-09/contracts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://public-api.stora.co/2025-09/contracts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://public-api.stora.co/2025-09/contracts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://public-api.stora.co/2025-09/contracts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"contracts": [
{
"id": "ctr_a1b2c3d4e5f6g7h8",
"_links": {
"sf:show_contract": {
"href": "/contracts/ctr_a1b2c3d4e5f6g7h8",
"title": "Show contract"
}
},
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"created_at": "2025-02-22T14:41:00Z",
"name": "Indoor Storage Contract",
"sent_at": "2025-02-18T09:00:00Z",
"signed_at": "2025-02-20T10:00:00Z",
"status": "signed",
"tenancy": {
"id": "ten_ac1499df16ae0dea"
},
"updated_at": "2025-02-22T14:41:00Z"
},
{
"id": "ctr_b2c3d4e5f6g7h8i9",
"_links": {},
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"created_at": "2025-02-22T14:41:00Z",
"name": "Voided Storage Contract",
"sent_at": "2025-01-10T09:00:00Z",
"signed_at": null,
"status": "voided",
"tenancy": {
"id": "ten_ac1499df16ae0dea"
},
"updated_at": "2025-02-22T14:41:00Z"
},
{
"id": "ctr_c3d4e5f6g7h8i9j0",
"_links": {
"sf:show_contract": {
"href": "/contracts/ctr_c3d4e5f6g7h8i9j0",
"title": "Show contract"
}
},
"contact": {
"id": "con_195h6kfm9ro15lof"
},
"contract_template": {
"id": "ctpl_33ae8d0b2b371ba2"
},
"created_at": "2025-02-22T14:41:00Z",
"name": "Pending Storage Contract",
"sent_at": "2025-03-01T09:00:00Z",
"signed_at": null,
"status": "pending",
"tenancy": {
"id": "ten_ac1499df16ae0dea"
},
"updated_at": "2025-02-22T14:41:00Z"
}
],
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
],
"pagination": {
"count": 3,
"last": 1,
"limit": 50,
"next": null,
"page": 1,
"pages": 1,
"prev": null
}
}
}Authorizations
Bearer Token necessary to use API
Query Parameters
Sorting by attribute. Default created_at
created_at, updated_at Sorting by ASC or DESC direction. Default DESC
ASC, DESC Pagination: Page number
x >= 1Pagination: Limit number of items per page.
1 <= x <= 100Filter by Site IDs. Supports multiple values separated by a comma.
Filter by Contact IDs. Supports multiple values separated by a comma.
Filter by Contract Template IDs. Supports multiple values separated by a comma.
Filter by Tenancy IDs. Supports multiple values separated by a comma.
Filter by status. Supports multiple values separated by a comma.
pending, signed, voided, declined, deleted This endpoint supports expandable responses. For more, see the documentation page.
Filters results to created after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to created before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to updated before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to sent after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to sent before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to signed after (including given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Filters results to signed before (excluding given date) the given ISO 8601 timestamp (e.g., 2025-01-12T15:30:00Z).
Was this page helpful?